Pular para o conteúdo principal
GET
/
v1
/
str
/
webhooks
/
{webhookId}
Obter endpoint de webhook
curl --request GET \
  --url https://spb.sandbox.lerian.net/v1/str/webhooks/{webhookId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://spb.sandbox.lerian.net/v1/str/webhooks/{webhookId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://spb.sandbox.lerian.net/v1/str/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "correlationId": "<string>",
  "webhook": {
    "createdAt": "<string>",
    "eventTypes": [
      "<string>"
    ],
    "isActive": true,
    "messageTypes": [
      "<string>"
    ],
    "updatedAt": "<string>",
    "url": "<string>",
    "webhookId": "<string>",
    "metadata": {}
  }
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizações

Authorization
string
header
obrigatório

JWT bearer token issued by the identity provider.

Parâmetros de caminho

webhookId
string
obrigatório

Webhook UUID.

Exemplo:

"550e8400-e29b-41d4-a716-446655440000"

Resposta

OK

correlationId
string
obrigatório

Request-scoped correlation identifier echoing X-Request-ID, for pivoting from response to trace.

Exemplo:

"550e8400-e29b-41d4-a716-446655440001"

webhook
object
obrigatório

The created, fetched, or updated webhook endpoint.